Loading...
Searching...
No Matches
priming.cpp File Reference
`#include "gridfire/engine/procedures/priming.h"`
`#include "fourdst/atomic/species.h"`
`#include "fourdst/composition/utils.h"`
`#include "gridfire/engine/views/engine_priming.h"`
`#include "gridfire/solver/solver.h"`
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/types/types.h"`
`#include "gridfire/exceptions/error_solver.h"`
`#include "fourdst/logging/logging.h"`
`#include "gridfire/solver/strategies/CVODE_solver_strategy.h"`
`#include "quill/Logger.h"`
`#include "quill/LogMacros.h"`
Include dependency graph for priming.cpp:

## Namespaces

namespace | gridfire
namespace | gridfire::engine

## Functions

PrimingReport | gridfire::engine::primeNetwork (const NetIn &netIn, GraphEngine &engine, const std::optional< std::vector< reaction::ReactionType > > &ignoredReactionTypes)
| Primes absent species in the network to their equilibrium abundances.